com.collabnet.ce.soap60.webservices.planning

## Class PlanningFolderSummary5SoapList

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.FolderSoapList
  - - com.collabnet.ce.soap60.webservices.planning.PlanningFolderSummary5SoapList

-     public class PlanningFolderSummary5SoapList
      extends FolderSoapList

  A list of PlanningFolderSummaries is represented by PlanningFolderSummary5SoapList class. Each row within a PlanningFolderSummary list is represented by the PlanningFolderSummary5SoapRow class.
  Change History
  Release: 6.1
  - Added status, statusClass, capacity, releaseTitle and releaseId fields.
  - Added openPoints and closedPoints fields.
  Release: 6.2
  - Added tracker unit.
  - Added story points on open artifacts.
  Release: 7.1
  - Added points capacity.
  Release: 7.2
  - Added burndownViewMode field.
  Release: 8.1
  - Added type field.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlanningFolderSummary5SoapList()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlanningFolderSummary5SoapRow[]` | `getDataRows()`
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDataRows(PlanningFolderSummary5SoapRow[] rows)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlanningFolderSummary5SoapList

          public PlanningFolderSummary5SoapList()

  - ### Method Detail

    - #### getDataRows

          public PlanningFolderSummary5SoapRow[] getDataRows()

    - #### setDataRows

          public void setDataRows(PlanningFolderSummary5SoapRow[] rows)

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.